Skip to main content
POST
/
v2
/
api
Verify Solidity Source Code
curl --request POST \
  --url https://api.etherscan.io/v2/api
import requests

url = "https://api.etherscan.io/v2/api"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.etherscan.io/v2/api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
    "status": "1",
    "message": "OK",
    "result": "a7lpxkm9kpcpicx7daftmjifrfhiuhf5vqqnawhkfhzfrcpnxj"
}

Query Parameters

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
module
string
default:"contract"
Set to contract for this endpoint.
action
string
default:"verifysourcecode"
Set to verifysourcecode for this endpoint.
contractaddress
string
default:"0xBB9bc244D798123fDe783fCc1C72d3Bb8C189413"
The address where the contract is deployed.
sourceCode
string
The Solidity source code to verify.
codeformat
string
default:"solidity-standard-json-input"
Use solidity-single-file for a single file or solidity-standard-json-input for JSON input.
contractname
string
default:"contracts/Verified.sol:Verified"
The contract name, including path if applicable. If codeformat=solidity-standard-json-input, then enter contractname as erc20.sol:erc20.
compilerversion
string
default:"v0.8.24+commit.e11b9ed9"
Compiler version used for compilation.
optimizationUsed
string
default:"0"
Use 1 if optimization was used or 0 if disabled, specify runs below.
runs
string
default:"200"
Number of optimization runs.
constructorArguments
string
Optional constructor arguments used in contract deployment.
evmVersion
string
default:"default"
Use compiler default or specify an EVM version such as byzantium, shanghai.
licenseType
string
default:"1"
The open source license to associate with the verified source code, e.g 3 for MIT.
{
    "status": "1",
    "message": "OK",
    "result": "a7lpxkm9kpcpicx7daftmjifrfhiuhf5vqqnawhkfhzfrcpnxj"
}